# General2.0Pro-Text-to-Image

**Method**: `POST`
**Endpoint**: `/volcv/v1`

{
"req\_key":"high\_aes\_general\_v20\_L",
"prompt":"Vast armies charging forward",
"req\_schedule\_conf":"general\_v20\_9B\_pe",
"seed":-1,
"scale":3.5,
"ddim\_steps":16,
"width":512,
"height":512,
"use\_sr":True,
"return\_url":True,
"logo\_info": {
"add\_logo": False,
"position": 0,
"language": 0,
"opacity": 0.3,
"logo\_text\_content": "This is a visible watermark"
}
}

## Request Parameters

### Query Parameters

```text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
object
Example
{
"req_key"
:
"high_aes_general_v21_L"
,
"prompt"
:
"Vast armies charging forward"
,
"req_schedule_conf"
:
"general_v20_9B_pe"
,
"llm_seed"
:
-1
,
"seed"
:
-1
,
"scale"
:
3.5
,
"ddim_steps"
:
25
,
"width"
:
512
,
"height"
:
512
,
"use_pre_llm"
:
true
,
"use_sr"
:
true
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"This is a visible watermark"
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key": "high_aes_general_v21_L",
    "prompt": "Vast armies charging forward",
    "req_schedule_conf": "general_v20_9B_pe",
    "llm_seed": -1,
    "seed": -1,
    "scale": 3.5,
    "ddim_steps": 25,
    "width": 512,
    "height": 512,
    "use_pre_llm": true,
    "use_sr": true,
    "return_url": true,
    "logo_info": {
        "add_logo": false,
        "position": 0,
        "language": 0,
        "opacity": 0.3,
        "logo_text_content": "This is a visible watermark"
    }
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "code": 10000,
    "data": {
        "algorithm_base_resp": {
            "status_code": 0,
            "status_message": "Success"
        },
        "binary_data_base64": [
            ""
        ],
        "pe_result": "",
        "predict_tags_result": "",
        "rephraser_result": "",
        "request_id": ""
    },
    "message": "Success",
    "request_id": "",
    "status": 10000,
    "time_elapsed": "7.216940183s"
}
```
